Subject: bug#9571: 24.0.50; user option to turn off bidi, please

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Sep 2011 01:49:48 -0400

tags 9571 + wontfix

> From: "Drew Adams" <[email-masked]>
> Date: Wed, 21 Sep 2011 21:18:46 -0700
> 
> Dunno if this is still the latest word, but in the emacs-devel thread
> "`C-b' is backward-char, `left' is left-char - why?", I was told that
> the way for a user to turn off bidi is to set `bidi-display-reordering'
> to nil.  Since it is buffer-local, that presumably means putting this
> in .emacs if you want to turn it off everywhere:
>  
>  (setq-default bidi-display-reordering nil)

Yes.

> 1. That's not very user-friendly.  We should have a user option that
> does this, i.e., gives users an easy way to disable this feature if they
> don't want to use it.

No, at least not for now.

> 2. I see nothing in the Emacs doc that tells users clearly that if they
> want to turn off bidi editing then they should set the default value of
> this internal variable to nil.  Users should be told this.

No.  Consistent with the above.

> FWIW, I turn it off because both (a) it slows down Emacs (no, I don't
> have a test case and I won't be coming up with one) and (b) I have no
> need for bidi editing, at least for now.  If you don't believe (a), then
> at least accept (b): I don't _want_ to use it.

Suit yourself, but I see no need to make the bidi display a mode that
can be turned on and off.  So at least for Emacs 24.1 I'm not gonna
fix this.